Bug 228336 - databases/percona55-server: and -client update to 5.5.60-38.12
Summary: databases/percona55-server: and -client update to 5.5.60-38.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Florian Smeets
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-05-18 14:53 UTC by Sergey Akhmatov
Modified: 2018-05-25 09:22 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (flo)
sergey: merge-quarterly?


Attachments
percona55-5.5.60 (1.50 KB, patch)
2018-05-18 14:53 UTC, Sergey Akhmatov
sergey: maintainer-approval? (flo)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Akhmatov 2018-05-18 14:53:20 UTC
Created attachment 193509 [details]
percona55-5.5.60

Update percona55-server and -client to 5.5.60-38.12

Changes:
- fixed multiple vulnerabilities: https://vuxml.freebsd.org/freebsd/57aec168-453e-11e8-8777-b499baebfeaf.html
- removed mysqltest(1) manpage

QA:
poudriere testport: OK (11.1, 10.4)
Comment 1 Mateusz Piotrowski freebsd_committer 2018-05-18 15:03:54 UTC
While here, it would be nice to apply the ${name}_limits patch for percona55-server[1].

[1]: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=227234
Comment 2 commit-hook freebsd_committer 2018-05-18 19:24:52 UTC
A commit references this bug:

Author: flo
Date: Fri May 18 19:24:05 UTC 2018
New revision: 470320
URL: https://svnweb.freebsd.org/changeset/ports/470320

Log:
  Update to 5.5.60-38.12

  PR:		228336
  Submitted by:	Sergey Akhmatov <sergey@akhmatov.ru>
  Security:	57aec168-453e-11e8-8777-b499baebfeaf

Changes:
  head/databases/percona55-server/Makefile
  head/databases/percona55-server/distinfo
  head/databases/percona55-server/pkg-plist
Comment 3 Florian Smeets freebsd_committer 2018-05-18 19:28:28 UTC
Sorry. You don't get to decide in which order I work on my ports...
Comment 4 Florian Smeets freebsd_committer 2018-05-18 19:29:25 UTC
Committed. Thanks. I will deal with the RC changes in a separate commit.
Comment 5 Mateusz Piotrowski freebsd_committer 2018-05-19 01:54:15 UTC
(In reply to Florian Smeets from comment #3)

Haha, sure :) sorry, I didn't want to push too hard. It just that Bugzilla suggests using depends on/blocks for adding references to other issues and this approach worked fine for other tickets like [1].

Anyway, thanks for committing those rc patches.

[1]: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=227223
Comment 6 Sergey Akhmatov 2018-05-25 09:22:30 UTC
Shouldn't it be MFH'd to quarterly branch? It's the security update.